/**
  ########## gLogger Mini ##########
    
	Von Martin Matysiak
	    mail@k621.de
      www.k621.de

  Global bentigte Methoden und Strukturen

  ########## Licensing / Lizenz ##########

  Please take a look at the file "gLogger.c" for detailed information.

  Bitte werfen Sie einen Blick auf die Datei "gLogger.c" fr nhere
  Informationen.
*/

#ifndef GLOBAL_H
  #define GLOBAL_H

  #ifndef F_CPU
    ///Prozessorgeschwindigkeit = 7,3728MHz
    #define F_CPU 7372800UL
  #endif
  
  #define IO_PORT PORTC
  #define IO_CONF DDRC

  #define LED_STAT PC0

  #define LEDCODE_OFF() IO_PORT &= ~(1 << LED_STAT)
  #define LEDCODE_ON() IO_PORT |= (1 << LED_STAT)
  #define LEDCODE_BLINK() IO_PORT ^= (1 << LED_STAT)

  ///Begriff 'Wahr' fr boolsche Ausdrcke
  #define TRUE 1
  ///Begriff 'Falsch' fr boolsche Ausdrcke
  #define FALSE 0
  ///ASCII Zeichen Nr. 03 - End of Text
  #define ETX 0x03
  ///ASCII Zeichen Nr. 13 - Carriage Return (Wagenrcklauf)
  #define CR 0x0D
  ///ASCII Zeichen Nr. 10 - Linefeed (Zeilenumbruch)
  #define LF 0x0A

  #include <stdint.h>
  #include <stdlib.h>
  #include <avr/io.h>
  #include <avr/interrupt.h>
  #include <util/delay.h>

  void _delay_s(uint8_t pSeconds);
 #endif
