/**
  ########## gLogger Mini ##########
    
	Von Martin Matysiak
	    mail@k621.de
      www.k621.de

  NoFS - NoFileSystem - Eine Art, das Speichermedium im RAW-Modus
  zu beschreiben, mit automatischer Erkennung der letzten Schreib-
  position, um Datenverlust zu verhindern. Nach Auen sind nur
  Schreib-Methoden verfgbar, es handelt sich also um eine Art
  "WOM" (Write-Only-Memory).

  ########## Licensing / Lizenz ##########

  Please take a look at the file "gLogger.c" for detailed information.

  Bitte werfen Sie einen Blick auf die Datei "gLogger.c" fr nhere
  Informationen.
*/


#ifndef NOFS_H
  #define NOFS_H

  /// Die Gre des NoFS-Buffers (entspricht einer Sektorgre)
  #define NOFS_BUFFER_SIZE 512 
  /// Der Buffer wird nur alle N "writeString" Befehle auf SD geschrieben, um die Zellen zu schonen
  #define NOFS_WRITE_BUFFER_AFTER_NTH_COMMAND 5

  #include "global.h"
  #include "modules/sdmmc.h"
  
  uint8_t nofs_init();

  uint8_t nofs_writeString(char* pString);
#endif


